@echo off
echo TFD RA1 main.mix patch v1.05
echo ---------------------------- by Nyerguds
if not exist main.mix         echo MAIN.MIX not found!
if not exist main.mix         goto ra1mainpatch_end

if not exist patchra1main.pat echo Patch file (PATCHRA1MAIN.PAT) not found!
if not exist patchra1main.pat goto ra1mainpatch_end

if not exist vpatchprompt.exe echo Patch program (VPATCHPROMPT.EXE) not found!
if not exist vpatchprompt.exe goto ra1mainpatch_end

                    set tempfile=main3ke0.mix
if exist %tempfile% set tempfile=main58z9.mix
if exist %tempfile% set tempfile=main92ec.mix
if exist %tempfile% set tempfile=mainb7s9.mix
if exist %tempfile% set tempfile=mainirto.mix
if exist %tempfile% set tempfile=mainjkx9.mix
if exist %tempfile% set tempfile=mainkqqj.mix
if exist %tempfile% echo cannot create temp file!
if exist %tempfile% goto ra1mainpatch_end

echo Patching "MAIN.MIX"... (this may take a several minutes)
ren main.mix %tempfile%
vpatchprompt.exe patchra1main.pat %tempfile% main.mix
echo.
set status=%errorlevel%

if %status% == 0 goto ra1mainpatch_ok

:ra1mainpatch_fail
if %status% == 2 echo Patching process failed: Patch file is corrupted.
if %status% == 3 echo Patching process failed: MAIN.MIX is not the original English TFD version.
if %status% == 4 echo Nothing to do: MAIN.MIX is already the correct version.
if %status% == 5 echo Patching process failed: Cannot open patch file.
if %status% == 6 echo Patching process failed: Error opening MAIN.MIX to patch.
if %status% == 7 echo Patching process failed: Error opening/creating output file.
if exist %tempfile% ren %tempfile% main.mix
goto ra1mainpatch_end

:ra1mainpatch_ok
echo Patching process completed successfully.
echo.
echo Removing old files...
del %tempfile% >nul
if exist 2nd_hand.aud del 2nd_hand.aud >nul
if exist araziod.aud  del araziod.aud  >nul
if exist await.aud    del await.aud    >nul
if exist backstab.aud del backstab.aud >nul
if exist bog.aud      del bog.aud      >nul
if exist chaos2.aud   del chaos2.aud   >nul
if exist float_v2.aud del float_v2.aud >nul
if exist gloom.aud    del gloom.aud    >nul
if exist grndwire.aud del grndwire.aud >nul
if exist rpt.aud      del rpt.aud      >nul
if exist search.aud   del search.aud   >nul
if exist shut_it.aud  del shut_it.aud  >nul
if exist traction.aud del traction.aud >nul
if exist twinmix1.aud del twinmix1.aud >nul
if exist under3.aud   del under3.aud   >nul
if exist vr2.aud      del vr2.aud      >nul
if exist wastelnd.aud del wastelnd.aud >nul
if exist aagun.vqa    del aagun.vqa    >nul
if exist aftrmath.vqa del aftrmath.vqa >nul
if exist airfield.vqa del airfield.vqa >nul
if exist ally1.vqa    del ally1.vqa    >nul
if exist ally10.vqa   del ally10.vqa   >nul
if exist ally10b.vqa  del ally10b.vqa  >nul
if exist ally11.vqa   del ally11.vqa   >nul
if exist ally12.vqa   del ally12.vqa   >nul
if exist ally14.vqa   del ally14.vqa   >nul
if exist ally2.vqa    del ally2.vqa    >nul
if exist ally4.vqa    del ally4.vqa    >nul
if exist ally5.vqa    del ally5.vqa    >nul
if exist ally6.vqa    del ally6.vqa    >nul
if exist ally8.vqa    del ally8.vqa    >nul
if exist ally9.vqa    del ally9.vqa    >nul
if exist allyend.vqa  del allyend.vqa  >nul
if exist allymorf.vqa del allymorf.vqa >nul
if exist antend.vqa   del antend.vqa   >nul
if exist antintro.vqa del antintro.vqa >nul
if exist apcescpe.vqa del apcescpe.vqa >nul
if exist assess.vqa   del assess.vqa   >nul
if exist averted.vqa  del averted.vqa  >nul
if exist battle.vqa   del battle.vqa   >nul
if exist beachead.vqa del beachead.vqa >nul
if exist binoc.vqa    del binoc.vqa    >nul
if exist bmap.vqa     del bmap.vqa     >nul
if exist bombrun.vqa  del bombrun.vqa  >nul
if exist brdgtilt.vqa del brdgtilt.vqa >nul
if exist countdwn.vqa del countdwn.vqa >nul
if exist cronfail.vqa del cronfail.vqa >nul
if exist crontest.vqa del crontest.vqa >nul
if exist destroyr.vqa del destroyr.vqa >nul
if exist double.vqa   del double.vqa   >nul
if exist dpthchrg.vqa del dpthchrg.vqa >nul
if exist dud.vqa      del dud.vqa      >nul
if exist elevator.vqa del elevator.vqa >nul
if exist execute.vqa  del execute.vqa  >nul
if exist flare.vqa    del flare.vqa    >nul
if exist frozen.vqa   del frozen.vqa   >nul
if exist grvestne.vqa del grvestne.vqa >nul
if exist landing.vqa  del landing.vqa  >nul
if exist masasslt.vqa del masasslt.vqa >nul
if exist mcv.vqa      del mcv.vqa      >nul
if exist mcvbrdge.vqa del mcvbrdge.vqa >nul
if exist mcv_land.vqa del mcv_land.vqa >nul
if exist mig.vqa      del mig.vqa      >nul
if exist montpass.vqa del montpass.vqa >nul
if exist movingin.vqa del movingin.vqa >nul
if exist mtnkfact.vqa del mtnkfact.vqa >nul
if exist nukestok.vqa del nukestok.vqa >nul
if exist oildrum.vqa  del oildrum.vqa  >nul
if exist onthprwl.vqa del onthprwl.vqa >nul
if exist overrun.vqa  del overrun.vqa  >nul
if exist periscop.vqa del periscop.vqa >nul
if exist prolog.vqa   del prolog.vqa   >nul
if exist radrraid.vqa del radrraid.vqa >nul
if exist redintro.vqa del redintro.vqa >nul
if exist search.vqa   del search.vqa   >nul
if exist sfrozen.vqa  del sfrozen.vqa  >nul
if exist shipsink.vqa del shipsink.vqa >nul
if exist shorbom1.vqa del shorbom1.vqa >nul
if exist shorbom2.vqa del shorbom2.vqa >nul
if exist shorbomb.vqa del shorbomb.vqa >nul
if exist sitduck.vqa  del sitduck.vqa  >nul
if exist slntsrvc.vqa del slntsrvc.vqa >nul
if exist snowbomb.vqa del snowbomb.vqa >nul
if exist snstrafe.vqa del snstrafe.vqa >nul
if exist sovbatl.vqa  del sovbatl.vqa  >nul
if exist sovcemet.vqa del sovcemet.vqa >nul
if exist sovfinal.vqa del sovfinal.vqa >nul
if exist soviet1.vqa  del soviet1.vqa  >nul
if exist soviet10.vqa del soviet10.vqa >nul
if exist soviet11.vqa del soviet11.vqa >nul
if exist soviet12.vqa del soviet12.vqa >nul
if exist soviet13.vqa del soviet13.vqa >nul
if exist soviet14.vqa del soviet14.vqa >nul
if exist soviet2.vqa  del soviet2.vqa  >nul
if exist soviet3.vqa  del soviet3.vqa  >nul
if exist soviet4.vqa  del soviet4.vqa  >nul
if exist soviet5.vqa  del soviet5.vqa  >nul
if exist soviet6.vqa  del soviet6.vqa  >nul
if exist soviet7.vqa  del soviet7.vqa  >nul
if exist soviet8.vqa  del soviet8.vqa  >nul
if exist soviet9.vqa  del soviet9.vqa  >nul
if exist sovmcv.vqa   del sovmcv.vqa   >nul
if exist sovtstar.vqa del sovtstar.vqa >nul
if exist spotter.vqa  del spotter.vqa  >nul
if exist spy.vqa      del spy.vqa      >nul
if exist strafe.vqa   del strafe.vqa   >nul
if exist take_off.vqa del take_off.vqa >nul
if exist tanya1.vqa   del tanya1.vqa   >nul
if exist tanya2.vqa   del tanya2.vqa   >nul
if exist tesla.vqa    del tesla.vqa    >nul
if exist toofar.vqa   del toofar.vqa   >nul
if exist trinity.vqa  del trinity.vqa  >nul
if exist v2rocket.vqa del v2rocket.vqa >nul
echo Done.

:ra1mainpatch_end
set status=
set tempfile=

echo.
pause